Guzzle 4.0 ist verfügbar
Kommentare

Der PHP HTTP Client Guzzle zum Bauen von RESTful Web Services  ist in der Version 4.0 erschienen.  Um es zu verwenden braucht ihr ab sofort mindestens PHP 5.4. Die Performance wurde verbessert , das

Der PHP HTTP Client Guzzle zum Bauen von RESTful Web Services  ist in der Version 4.0 erschienen.  Um es zu verwenden braucht ihr ab sofort mindestens PHP 5.4. Die Performance wurde verbessert , das Interface vereinfacht, die Core Library verkleinert. Weitere Neuerungen sind:

  • Austauschbare HTTP Adapter
  • Kohärenteres Event System
  • Verbessertes Error Handling
  • Batching wurde durch Async und Rolling Queues ersetzt
  • Besserer POST File Support
  • Keine Exception Markers mehr

Ihr könnt Guzzle mit Composer installieren. Alle Infos zu den Neuerungen und zum Dowload findet ihr auf der Website von Entwickler Michael Dowling.

Unsere Redaktion empfiehlt:

Relevante Beiträge

Meinungen zu diesem Beitrag

X
- Gib Deinen Standort ein -
- or -